| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.ConsoleForm Class Reference

Console replacement. More...

Inheritance diagram for IG.Forms.ConsoleForm:
[legend]
Collaboration diagram for IG.Forms.ConsoleForm:
[legend]

## Public Types
enum | Styles { Styles.Normal, Styles.Error, Styles.Mark, Styles.Normal, Styles.Error, Styles.Mark }
enum | Styles { Styles.Normal, Styles.Error, Styles.Mark, Styles.Normal, Styles.Error, Styles.Mark }

## Public Member Functions
void | SetNormalStyle ()
| Sets normal style for console output. More...
void | SetErrorStyle ()
| Sets Error Style for console output. More...
void | SetMarkStyle ()
| Sets marking (emphasis) style for console output. More...
| ConsoleForm ()
| Argument-less constructor, does not launch the window in a parallel thread. More...
| ConsoleForm (string msgtext)
| Shows a console consform in a new thread, with message text equal to mshtext and without a title;. More...
void | HideForm ()
void | CloseForm ()
| Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose(). More...
void | Write (bool block, string str)
void | Write (string str)
void | WriteLine (bool block, string str)
| Writes a string to the output console and appends a newline character. More...
void | WriteLine (string str)
void | Write (Char arg)
void | Write (Boolean arg)
void | Write (Char[] arg)
void | Write (Decimal arg)
void | Write (Double arg)
void | Write (Int32 arg)
void | Write (Int64 arg)
void | Write (Object arg)
void | Write (Single arg)
void | Write (UInt32 arg)
void | Write (UInt64 arg)
void | Write (String arg, Object arg1)
void | Write (String arg, Object[] arg1)
void | Write (Char[] arg, Int32 arg1, Int32 arg2)
void | Write (String arg, Object arg1, Object arg2)
void | Write (String arg, Object arg1, Object arg2, Object arg3)
void | WriteLine (Char arg)
void | WriteLine (Boolean arg)
void | WriteLine (Char[] arg)
void | WriteLine (Decimal arg)
void | WriteLine (Double arg)
void | WriteLine (Int32 arg)
void | WriteLine (Int64 arg)
void | WriteLine (Object arg)
void | WriteLine (Single arg)
void | WriteLine (UInt32 arg)
void | WriteLine (UInt64 arg)
void | WriteLine (String arg, Object arg1)
void | WriteLine (String arg, Object[] arg1)
void | WriteLine (Char[] arg, Int32 arg1, Int32 arg2)
void | WriteLine (String arg, Object arg1, Object arg2)
void | WriteLine (String arg, Object arg1, Object arg2, Object arg3)
void | ReportErrorBas (ReporterBase reporter, ReportType messagelevel, string errorlocation, string errormessage)
void | ReserveReportErrorBas (ReporterBase reporter, ReportType messagelevel, string location, string message, Exception ex, Exception ex1)
void | ReserveReportError (string errorstr)
virtual void | Report (ReportType messagetype, string location, string message, Exception ex)
| Basic reporting method (overloaded). Launches an error report, a warning report or s kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance. More...
void | Report (ReportType messagetype, string message, Exception ex)
| Launches a report. Predominantly for error and warning reports. More...
void | Report (ReportType messagetype, Exception ex, string location)
| Launches a report. Predominantly for error and warning reports. More...
void | Report (ReportType messagetype, Exception ex)
| Launches a report. Predominantly for error and warning reports. More...
void | Report (ReportType messagetype, string location, string message)
| Launches a report. More...
void | Report (ReportType messagetype, string message)
| Launches a report. More...
virtual void | ReportError (string location, string message, Exception ex)
| Basic error reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance. More...
void | ReportError (string message, Exception ex)
| Launches an error report. More...
void | ReportError (Exception ex, string location)
| Launches an error report. More...
void | ReportError (Exception ex)
| Launches an error report. Predominantly for error and warning reports. More...
void | ReportError (string location, string message)
| Launches an error report. More...
void | ReportError (string message)
| Launches an error report. More...
virtual void | ReportWarning (string location, string message, Exception ex)
| Basic warning reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance. More...
void | ReportWarning (string message, Exception ex)
| Launches a warning report. More...
void | ReportWarning (Exception ex, string location)
| Launches a warning report. More...
void | ReportWarning (Exception ex)
| Launches a warning report. Predominantly for error and warning reports. More...
void | ReportWarning (string location, string message)
| Launches a warning report. More...
void | ReportWarning (string message)
| Launches a warning report. More...
void | ReportInfo (Exception ex)
| Launches an info. More...
void | ReportInfo (string location, string message)
| Launches an info. More...
void | ReportInfo (string message)
| Launches an info. More...
void | ReportError0 (string errorstr)
| ConsoleForm utility for reporting errors (not global). More...
void | ReportError0 (Exception e)
| Reports an error (including logging, etc., dependent on the current settings). More...
void | ReportError0 (Exception e, string additional)
void | HideInput ()
void | ShowInput ()
string | ReadLine ()
| Reads a single line string from the input console and returns it. More...
string | ReadLine (string Message)
void | ReadString (ref string str)
void | ReadString (ref string str, string Message)
int | Read ()
| Reads a single character from the input console and returns it as integer. More...
int | Read (string Message)
double | ReadDouble (ref double Value)
double | ReadDouble (ref double Value, string Message)
double | ReadDouble ()
| Reads a floating point number from the input console and returns it. More...
double | ReadDouble (string Message)
long | ReadLong (ref long Value)
long | ReadLong (ref long Value, string Message)
long | ReadLong ()
| Reads a floating point number from the input console and returns it. More...
long | ReadLong (string Message)
void | ShowThread ()
| Shows a fading message in a new thread. More...
void | ShowThread (string title)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;. More...
void | SetNormalStyle ()
| Sets normal style for console output. More...
void | SetErrorStyle ()
| Sets Error Style for console output. More...
void | SetMarkStyle ()
| Sets marking (emphasis) style for console output. More...
| ConsoleForm ()
| Argument-less constructor, does not launch the window in a parallel thread. More...
| ConsoleForm (string msgtext)
| Shows a console consform in a new thread, with message text equal to mshtext and without a title;. More...
void | HideForm ()
void | CloseForm ()
| Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose(). More...
void | Write (bool block, string str)
void | Write (string str)
void | WriteLine (bool block, string str)
| Writes a string to the output console and appends a newline character. More...
void | WriteLine (string str)
void | Write (Char arg)
void | Write (Boolean arg)
void | Write (Char[] arg)
void | Write (Decimal arg)
void | Write (Double arg)
void | Write (Int32 arg)
void | Write (Int64 arg)
void | Write (Object arg)
void | Write (Single arg)
void | Write (UInt32 arg)
void | Write (UInt64 arg)
void | Write (String arg, Object arg1)
void | Write (String arg, Object[] arg1)
void | Write (Char[] arg, Int32 arg1, Int32 arg2)
void | Write (String arg, Object arg1, Object arg2)
void | Write (String arg, Object arg1, Object arg2, Object arg3)
void | WriteLine (Char arg)
void | WriteLine (Boolean arg)
void | WriteLine (Char[] arg)
void | WriteLine (Decimal arg)
void | WriteLine (Double arg)
void | WriteLine (Int32 arg)
void | WriteLine (Int64 arg)
void | WriteLine (Object arg)
void | WriteLine (Single arg)
void | WriteLine (UInt32 arg)
void | WriteLine (UInt64 arg)
void | WriteLine (String arg, Object arg1)
void | WriteLine (String arg, Object[] arg1)
void | WriteLine (Char[] arg, Int32 arg1, Int32 arg2)
void | WriteLine (String arg, Object arg1, Object arg2)
void | WriteLine (String arg, Object arg1, Object arg2, Object arg3)
void | ReportErrorBas (ReporterBase reporter, ReportType messagelevel, string errorlocation, string errormessage)
void | ReserveReportErrorBas (ReporterBase reporter, ReportType messagelevel, string location, string message, Exception ex, Exception ex1)
void | ReserveReportError (string errorstr)
virtual void | Report (ReportType messagetype, string location, string message, Exception ex)
| Basic reporting method (overloaded). Launches an error report, a warning report or s kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance. More...
void | Report (ReportType messagetype, string message, Exception ex)
| Launches a report. Predominantly for error and warning reports. More...
void | Report (ReportType messagetype, Exception ex, string location)
| Launches a report. Predominantly for error and warning reports. More...
void | Report (ReportType messagetype, Exception ex)
| Launches a report. Predominantly for error and warning reports. More...
void | Report (ReportType messagetype, string location, string message)
| Launches a report. More...
void | Report (ReportType messagetype, string message)
| Launches a report. More...
virtual void | ReportError (string location, string message, Exception ex)
| Basic error reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance. More...
void | ReportError (string message, Exception ex)
| Launches an error report. More...
void | ReportError (Exception ex, string location)
| Launches an error report. More...
void | ReportError (Exception ex)
| Launches an error report. Predominantly for error and warning reports. More...
void | ReportError (string location, string message)
| Launches an error report. More...
void | ReportError (string message)
| Launches an error report. More...
virtual void | ReportWarning (string location, string message, Exception ex)
| Basic warning reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance. More...
void | ReportWarning (string message, Exception ex)
| Launches a warning report. More...
void | ReportWarning (Exception ex, string location)
| Launches a warning report. More...
void | ReportWarning (Exception ex)
| Launches a warning report. Predominantly for error and warning reports. More...
void | ReportWarning (string location, string message)
| Launches a warning report. More...
void | ReportWarning (string message)
| Launches a warning report. More...
void | ReportInfo (Exception ex)
| Launches an info. More...
void | ReportInfo (string location, string message)
| Launches an info. More...
void | ReportInfo (string message)
| Launches an info. More...
void | ReportError0 (string errorstr)
| ConsoleForm utility for reporting errors (not global). More...
void | ReportError0 (Exception e)
| Reports an error (including logging, etc., dependent on the current settings). More...
void | ReportError0 (Exception e, string additional)
void | HideInput ()
void | ShowInput ()
string | ReadLine ()
| Reads a single line string from the input console and returns it. More...
string | ReadLine (string Message)
void | ReadString (ref string str)
void | ReadString (ref string str, string Message)
int | Read ()
| Reads a single character from the input console and returns it as integer. More...
int | Read (string Message)
double | ReadDouble (ref double Value)
double | ReadDouble (ref double Value, string Message)
double | ReadDouble ()
| Reads a floating point number from the input console and returns it. More...
double | ReadDouble (string Message)
long | ReadLong (ref long Value)
long | ReadLong (ref long Value, string Message)
long | ReadLong ()
| Reads a floating point number from the input console and returns it. More...
long | ReadLong (string Message)
void | ShowThread ()
| Shows a fading message in a new thread. More...
void | ShowThread (string title)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;. More...

## Static Public Member Functions
static void | Example ()
static void | Example ()

## Public Attributes
bool | IsClosable = true
bool | WriteInput = true
| If false then the consform can not be closed or dispoded. More...
string | Title = "Console"
Color | NormalOutColor = Color.Blue

## Protected Attributes
string | OutBuf =null
bool | OutputStarted =false
ReporterBase | _Reporter = null

## Properties
bool | IsBackground`[get, set]`
Color | OutBackColor`[get, set]`
| Output console background color. More...
Color | OutForeColor`[get, set]`
| Output console foreground color. More...
Color | OutSelectionColor`[get, set]`
| Output console foreground color. More...
Styles | Style`[get, set]`
| Defines the output style of the console. More...
Color | InBackColor`[get, set]`
| Input console background color. More...
Color | InForeColor`[get, set]`
| Input console foreground color. More...
ReporterBase | Reporter`[get]`
| Gets the reporter used by the current console consform for launching error and warning reports, notices, etc. More...
IG.Lib.IReporter | Reporter`[get]`
ReporterBase | Reporter11`[get]`
| Gets the reporter used by the current console consform for launching error and warning reports, notices, etc. More...

## Private Member Functions
void | UpdateOutSettings ()
void | UpdateSettings ()
| Updates all settings for the console consform on the consform'result thread. More...
void | baseConsoleForm ()
| Required designer variable. More...
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...
void | FormThreadFunc ()
| Shows the window in a separate thread. More...
void | ConsoleForm_Load (object sender, System.EventArgs args)
void | ConsoleForm_Dispose (object sender, System.EventArgs e)
void | ConsoleForm_FormClosing (object sender, FormClosingEventArgs e)
void | CloseBtn_Click (object sender, EventArgs e)
void | HideBtn_Click (object sender, EventArgs e)
void | WriteOutput ()
| Appends output buffer to the output console. More...
void | ReserveReportError (Exception e, string additional)
void | ReserveReportError0 (string errorstr)
void | ReserveReportError0 (Exception e)
void | ReserveReportError0 (Exception e, string additional)
void | PrepareForReading ()
void | FinalizeReading ()
void | WaitResult ()
void | RunInputConfirmationDelegate ()
void | InputConfirm_Read ()
void | InputConfirm_ReadDouble ()
void | InputConfirm_ReadLong ()
void | InputChk_CheckedChanged (object sender, EventArgs e)
void | ConfirmInputBtn_Click (object sender, EventArgs e)
void | InBox_PreviewKeyDown (object sender, PreviewKeyDownEventArgs e)
void | InBox_KeyUp (object sender, KeyEventArgs e)
void | InBox_KeyPress (object sender, KeyPressEventArgs e)
void | chkWrap_CheckedChanged (object sender, EventArgs e)
void | UpdateOutSettings ()
void | UpdateSettings ()
| Updates all settings for the console consform on the consform'result thread. More...
void | baseConsoleForm ()
| Required designer variable. More...
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...
void | FormThreadFunc ()
| Shows the window in a separate thread. More...
void | ConsoleForm_Load (object sender, System.EventArgs args)
void | ConsoleForm_Dispose (object sender, System.EventArgs e)
void | ConsoleForm_FormClosing (object sender, FormClosingEventArgs e)
void | CloseBtn_Click (object sender, EventArgs e)
void | HideBtn_Click (object sender, EventArgs e)
void | WriteOutput ()
| Appends output buffer to the output console. More...
void | ReserveReportError (Exception e, string additional)
void | ReserveReportError0 (string errorstr)
void | ReserveReportError0 (Exception e)
void | ReserveReportError0 (Exception e, string additional)
void | PrepareForReading ()
void | FinalizeReading ()
void | WaitResult ()
void | RunInputConfirmationDelegate ()
void | InputConfirm_Read ()
void | InputConfirm_ReadDouble ()
void | InputConfirm_ReadLong ()
void | InputChk_CheckedChanged (object sender, EventArgs e)
void | ConfirmInputBtn_Click (object sender, EventArgs e)
void | InBox_PreviewKeyDown (object sender, PreviewKeyDownEventArgs e)
void | InBox_KeyUp (object sender, KeyEventArgs e)
void | InBox_KeyPress (object sender, KeyPressEventArgs e)
void | chkWrap_CheckedChanged (object sender, EventArgs e)

## Private Attributes
bool | bgthread = true
| If true then Input messages are repeated in the output console. More...
object | InputLock = new object()
object | OutputLock = new object()
Color | OBg = Color.White
Color | OFg = Color.Blue
Color | OSelFg = Color.Blue
Color | IBg = Color.White
Color | IFg = Color.Violet
Color | ILblNormalBg =Color.Gray
Color | ILblNormalFg =Color.Black
Color | ILblActiveBg =Color.Yellow
Color | ILblActiveFg =Color.Blue
Color | ILblErrorBg =Color.Red
Color | ILblErrorFg =Color.Blue
Color | ErrorOutColor = Color.Red
Color | MarkOutColor = Color.Violet
CheckBox | chkWrap
Styles | OStyle = Styles.Normal
System.Windows.Forms.Button | HideBtn
Panel | TitlePanel
Panel | OutputOuterPnl
Panel | ControlPanel
Label | TitleLbl
RichTextBox | OutBox
Label | OutputLbl
Panel | InputPnl
RichTextBox | InBox
Label | InputLbl
Label | InputMsgLbl
Button | ConfirmInputBtn
CheckBox | InputChk
Button | button1
Label | StatusLbl
Thread | formthread = null
bool | OutputEnded =false
int | RecCountWrite = 0
object | errorlock = new object()
int | reccounterror = 0
int | RecCountError = 0
object | ErrorLock00 = new object()
string | InputResultString =null
string | InputMessage =null
bool | ReadStarted =false
bool | ReadFinished =false
bool | MultiLineInput = false
bool | SingleCharacterInput = false
bool | DeleteLastNewline = false
bool | SelectInput =false
int | KeyValue = 0
Keys | KeyData = Keys.None
Keys | KeyCode =Keys.None
IFormatProvider | FormatProvider = System.Globalization.CultureInfo.CreateSpecificCulture("")
VoidDelegate | InputConfirmDelegate

## Detailed Description

Console replacement.

Console replacement.

WARNING: This class is not tested enough and contains a number of bugs. Avoid use until this changes.

Handles a consform that can be use as console output and input window, for logging messages, etc. Input and output window are separated. The window can be launched in a separate thread. /remarks>

## Member Enumeration Documentation

enum IG.Forms.ConsoleForm.Styles

Handles a consform that can be use as console output and input window, for logging messages, etc. Input and output window are separated. The window can be launched in a separate thread.

Enumerator
Normal |
Error |
Mark |
Normal |
Error |
Mark |

enum IG.Forms.ConsoleForm.Styles

Enumerator
Normal |
Error |
Mark |
Normal |
Error |
Mark |

## Constructor & Destructor Documentation

IG.Forms.ConsoleForm.ConsoleForm | ( |  | ) |
| inline

Argument-less constructor, does not launch the window in a parallel thread.

IG.Forms.ConsoleForm.ConsoleForm | ( | string | msgtext | ) |
| inline

Shows a console consform in a new thread, with message text equal to mshtext and without a title;.

IG.Forms.ConsoleForm.ConsoleForm | ( |  | ) |
| inline

Argument-less constructor, does not launch the window in a parallel thread.

IG.Forms.ConsoleForm.ConsoleForm | ( | string | msgtext | ) |
| inline

Shows a console consform in a new thread, with message text equal to mshtext and without a title;.

## Member Function Documentation

void IG.Forms.ConsoleForm.SetNormalStyle | ( |  | ) |
| inline

Sets normal style for console output.

void IG.Forms.ConsoleForm.SetErrorStyle | ( |  | ) |
| inline

Sets Error Style for console output.

void IG.Forms.ConsoleForm.SetMarkStyle | ( |  | ) |
| inline

Sets marking (emphasis) style for console output.

Referenced by IG.Forms.ConsoleForm.Example().

void IG.Forms.ConsoleForm.UpdateOutSettings | ( |  | ) |
| inline private

Updates only those settings of the console consform that influence output operation, in the consform'result thread. This is performed separately from UpdateSettings() to enable faster execution of this vital update.

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.UpdateSettings | ( |  | ) |
| inline private

Updates all settings for the console consform on the consform'result thread.

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.baseConsoleForm | ( |  | ) |
| inline private

Required designer variable.

Common initialization part called from all constructors.

void IG.Forms.ConsoleForm.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG.Forms.ConsoleForm.FormThreadFunc | ( |  | ) |
| inline private

Shows the window in a separate thread.

void IG.Forms.ConsoleForm.ConsoleForm_Load | ( | object | sender,
|  | System.EventArgs | args
| ) |  |
| inline private

void IG.Forms.ConsoleForm.ConsoleForm_Dispose | ( | object | sender,
|  | System.EventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.ConsoleForm_FormClosing | ( | object | sender,
|  | FormClosingEventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.CloseBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.HideBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.HideForm | ( |  | ) |
| inline

void IG.Forms.ConsoleForm.CloseForm | ( |  | ) |
| inline

Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose().

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.WriteOutput | ( |  | ) |
| inline private

Appends output buffer to the output console.

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.Write | ( | bool | block,
|  | string | str
| ) |  |
| inline

Writes a string to the output console. If block=true, then it blocks until the string is actually written.

Referenced by IG.Forms.ReporterForms.DefaultReserveReportErrorForms(), and IG.Forms.ConsoleForm.ReportErrorBas().

void IG.Forms.ConsoleForm.Write | ( | string | str | ) |
| inline

References IG.Forms.ConsoleForm.Write().

Referenced by IG.Forms.ConsoleForm.Write().

void IG.Forms.ConsoleForm.WriteLine | ( | bool | block,
|  | string | str
| ) |  |
| inline

Writes a string to the output console and appends a newline character.

Referenced by IG.Forms.UtilForms.ConsoleExample(), IG.Forms.UtilForms.ConsoleExample2(), and IG.Forms.ConsoleForm.Example().

void IG.Forms.ConsoleForm.WriteLine | ( | string | str | ) |
| inline

References IG.Forms.ConsoleForm.WriteLine().

Referenced by IG.Forms.ConsoleForm.WriteLine().

void IG.Forms.ConsoleForm.Write | ( | Char | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Boolean | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Char[] | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Decimal | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Double | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Int32 | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Int64 | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Object | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Single | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | UInt32 | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | UInt64 | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | String | arg,
|  | Object | arg1
| ) |  |
| inline

void IG.Forms.ConsoleForm.Write | ( | String | arg,
|  | Object[] | arg1
| ) |  |
| inline

void IG.Forms.ConsoleForm.Write | ( | Char[] | arg,
|  | Int32 | arg1,
|  | Int32 | arg2
| ) |  |
| inline

void IG.Forms.ConsoleForm.Write | ( | String | arg,
|  | Object | arg1,
|  | Object | arg2
| ) |  |
| inline

void IG.Forms.ConsoleForm.Write | ( | String | arg,
|  | Object | arg1,
|  | Object | arg2,
|  | Object | arg3
| ) |  |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Char | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Boolean | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Char[] | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Decimal | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Double | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Int32 | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Int64 | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Object | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Single | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | UInt32 | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | UInt64 | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | String | arg,
|  | Object | arg1
| ) |  |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | String | arg,
|  | Object[] | arg1
| ) |  |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Char[] | arg,
|  | Int32 | arg1,
|  | Int32 | arg2
| ) |  |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | String | arg,
|  | Object | arg1,
|  | Object | arg2
| ) |  |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | String | arg,
|  | Object | arg1,
|  | Object | arg2,
|  | Object | arg3
| ) |  |
| inline

void IG.Forms.ConsoleForm.ReportErrorBas | ( | ReporterBase | reporter,
|  | ReportType | messagelevel,
|  | string | errorlocation,
|  | string | errormessage
| ) |  |
| inline

References IG.Lib.ReporterBase.DefaultReportStringConsoleTimeStamp(), IG.Lib.ReporterBase.Obj, IG.Forms.ConsoleForm.Style, and IG.Forms.ConsoleForm.Write().

void IG.Forms.ConsoleForm.ReserveReportErrorBas | ( | ReporterBase | reporter,
|  | ReportType | messagelevel,
|  | string | location,
|  | string | message,
|  | Exception | ex,
|  | Exception | ex1
| ) |  |
| inline

void IG.Forms.ConsoleForm.ReserveReportError | ( | Exception | e,
|  | string | additional
| ) |  |
| inline private

void IG.Forms.ConsoleForm.ReserveReportError | ( | string | errorstr | ) |
| inline

virtual void IG.Forms.ConsoleForm.Report | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  |
| inline virtual

Basic reporting method (overloaded). Launches an error report, a warning report or s kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters

  messagetype | The type of the report (e.g. Error, Warning, etc.).
  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

Referenced by IG.Forms.ReporterForms.DefaultReport_ConsoleForm().

void IG.Forms.ConsoleForm.Report | ( | ReportType | messagetype,
|  | string | message,
|  | Exception | ex
| ) |  |
| inline

Launches a report. Predominantly for error and warning reports.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.Report | ( | ReportType | messagetype,
|  | Exception | ex,
|  | string | location
| ) |  |
| inline

Launches a report. Predominantly for error and warning reports.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

void IG.Forms.ConsoleForm.Report | ( | ReportType | messagetype,
|  | Exception | ex
| ) |  |
| inline

Launches a report. Predominantly for error and warning reports.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.Report | ( | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  |
| inline

Launches a report.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

void IG.Forms.ConsoleForm.Report | ( | ReportType | messagetype,
|  | string | message
| ) |  |
| inline

Launches a report.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  message | User provided message included in the report.

virtual void IG.Forms.ConsoleForm.ReportError | ( | string | location,
|  | string | message,
|  | Exception | ex
| ) |  |
| inline virtual

Basic error reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters

  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

Referenced by IG.Forms.UtilForms.ConsoleExample2().

void IG.Forms.ConsoleForm.ReportError | ( | string | message,
|  | Exception | ex
| ) |  |
| inline

Launches an error report.

Parameters

  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.ReportError | ( | Exception | ex,
|  | string | location
| ) |  |
| inline

Launches an error report.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

void IG.Forms.ConsoleForm.ReportError | ( | Exception | ex | ) |
| inline

Launches an error report. Predominantly for error and warning reports.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.ReportError | ( | string | location,
|  | string | message
| ) |  |
| inline

Launches an error report.

Parameters

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

void IG.Forms.ConsoleForm.ReportError | ( | string | message | ) |
| inline

Launches an error report.

Parameters

  message | User provided message included in the report.

virtual void IG.Forms.ConsoleForm.ReportWarning | ( | string | location,
|  | string | message,
|  | Exception | ex
| ) |  |
| inline virtual

Basic warning reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters

  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

void IG.Forms.ConsoleForm.ReportWarning | ( | string | message,
|  | Exception | ex
| ) |  |
| inline

Launches a warning report.

Parameters

  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.ReportWarning | ( | Exception | ex,
|  | string | location
| ) |  |
| inline

Launches a warning report.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

void IG.Forms.ConsoleForm.ReportWarning | ( | Exception | ex | ) |
| inline

Launches a warning report. Predominantly for error and warning reports.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.ReportWarning | ( | string | location,
|  | string | message
| ) |  |
| inline

Launches a warning report.

Parameters

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

void IG.Forms.ConsoleForm.ReportWarning | ( | string | message | ) |
| inline

Launches a warning report.

Parameters

  message | User provided message included in the report.

void IG.Forms.ConsoleForm.ReportInfo | ( | Exception | ex | ) |
| inline

Launches an info.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.ReportInfo | ( | string | location,
|  | string | message
| ) |  |
| inline

Launches an info.

Parameters

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

void IG.Forms.ConsoleForm.ReportInfo | ( | string | message | ) |
| inline

Launches an info.

Parameters

  message | User provided message included in the report.

void IG.Forms.ConsoleForm.ReportError0 | ( | string | errorstr | ) |
| inline

ConsoleForm utility for reporting errors (not global).

void IG.Forms.ConsoleForm.ReportError0 | ( | Exception | e | ) |
| inline

Reports an error (including logging, etc., dependent on the current settings).

void IG.Forms.ConsoleForm.ReportError0 | ( | Exception | e,
|  | string | additional
| ) |  |
| inline

Reports an error (including logging, etc., dependent on the current settings). An additonal string is appended to error report.

void IG.Forms.ConsoleForm.ReserveReportError0 | ( | string | errorstr | ) |
| inline private

References IG.Forms.FadingMessage.BackGroundColor, IG.Forms.FadingMessage.MsgText, IG.Forms.FadingMessage.MsgTitle, and IG.Forms.FadingMessage.ShowThread().

void IG.Forms.ConsoleForm.ReserveReportError0 | ( | Exception | e | ) |
| inline private

void IG.Forms.ConsoleForm.ReserveReportError0 | ( | Exception | e,
|  | string | additional
| ) |  |
| inline private

void IG.Forms.ConsoleForm.HideInput | ( |  | ) |
| inline

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.ShowInput | ( |  | ) |
| inline

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.PrepareForReading | ( |  | ) |
| inline private

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.FinalizeReading | ( |  | ) |
| inline private

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.WaitResult | ( |  | ) |
| inline private

Waits until result is available (indicating by the flag ReadFinished, which must be set by the ReadDelegate).

void IG.Forms.ConsoleForm.RunInputConfirmationDelegate | ( |  | ) |
| inline private

Runs specific function for handling user input consform input console, which grabs the input, eventually validates it, and notifies the caller that reading is finished when validation succeeds.

void IG.Forms.ConsoleForm.InputConfirm_Read | ( |  | ) |
| inline private

This function should be called as event handler for input events (such as <Enter> pressed in the input console or button "Confirm Input" pressed).

string IG.Forms.ConsoleForm.ReadLine | ( |  | ) |
| inline

Reads a single line string from the input console and returns it.

Referenced by IG.Forms.UtilForms.ConsoleExample2().

string IG.Forms.ConsoleForm.ReadLine | ( | string | Message | ) |
| inline

Reads a single line string from the input console and returns it. If Message!=Null then Message is written above the input consform before reading.

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.ReadString | ( | ref string | str | ) |
| inline

void IG.Forms.ConsoleForm.ReadString | ( | ref string | str,
|  | string | Message
| ) |  |
| inline

Reads a multiple line string from the input console and returns it in OutStr. If Message!=Null then Message is written above the input consform before reading.

References IG.Forms.VoidDelegate().

int IG.Forms.ConsoleForm.Read | ( |  | ) |
| inline

Reads a single character from the input console and returns it as integer.

int IG.Forms.ConsoleForm.Read | ( | string | Message | ) |
| inline

Reads a single character from the input console and returns it as integer. If Message!=null then it is written above the input consform before reading starts.

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.InputConfirm_ReadDouble | ( |  | ) |
| inline private

double IG.Forms.ConsoleForm.ReadDouble | ( | ref double | Value | ) |
| inline

Reads a floating point number from the input console and returns it in Value. Initial value of the number is set to Value prior to reading.

Referenced by IG.Forms.ConsoleForm.Example().

double IG.Forms.ConsoleForm.ReadDouble | ( | ref double | Value,
|  | string | Message
| ) |  |
| inline

Reads a floating point number from the input console and returns it in Value. If Message!=null then it is written above the input consform before reading starts. Initial value of the number is set to Value prior to reading.

References IG.Forms.VoidDelegate().

double IG.Forms.ConsoleForm.ReadDouble | ( |  | ) |
| inline

Reads a floating point number from the input console and returns it.

double IG.Forms.ConsoleForm.ReadDouble | ( | string | Message | ) |
| inline

Reads a floating point number from the input console and returns it. If Message!=null then it is written above the input consform before reading starts.

void IG.Forms.ConsoleForm.InputConfirm_ReadLong | ( |  | ) |
| inline private

This function should be called as event handler for input events (such as <Enter> pressed in the input console or button "Confirm Input" pressed), for confirmation of floating point numbers input.

long IG.Forms.ConsoleForm.ReadLong | ( | ref long | Value | ) |
| inline

Reads a floating point number from the input console and returns it in Value. Initial value of the number is set to Value prior to reading.

long IG.Forms.ConsoleForm.ReadLong | ( | ref long | Value,
|  | string | Message
| ) |  |
| inline

Reads a floating point number from the input console and returns it in Value. If Message!=null then it is written above the input consform before reading starts. Initial value of the number is set to Value prior to reading.

References IG.Forms.VoidDelegate().

long IG.Forms.ConsoleForm.ReadLong | ( |  | ) |
| inline

Reads a floating point number from the input console and returns it.

long IG.Forms.ConsoleForm.ReadLong | ( | string | Message | ) |
| inline

Reads a floating point number from the input console and returns it. If Message!=null then it is written above the input consform before reading starts.

void IG.Forms.ConsoleForm.ShowThread | ( |  | ) |
| inline

Shows a fading message in a new thread.

void IG.Forms.ConsoleForm.ShowThread | ( | string | title | ) |
| inline

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

void IG.Forms.ConsoleForm.InputChk_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.ConfirmInputBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.InBox_PreviewKeyDown | ( | object | sender,
|  | PreviewKeyDownEventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.InBox_KeyUp | ( | object | sender,
|  | KeyEventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.InBox_KeyPress | ( | object | sender,
|  | KeyPressEventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.chkWrap_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

static void IG.Forms.ConsoleForm.Example | ( |  | ) |
| inline static

References IG.Forms.ConsoleForm.OutSelectionColor, IG.Forms.ConsoleForm.ReadDouble(), IG.Forms.ConsoleForm.SetMarkStyle(), IG.Forms.ConsoleForm.Style, and IG.Forms.ConsoleForm.WriteLine().

void IG.Forms.ConsoleForm.SetNormalStyle | ( |  | ) |
| inline

Sets normal style for console output.

void IG.Forms.ConsoleForm.SetErrorStyle | ( |  | ) |
| inline

Sets Error Style for console output.

void IG.Forms.ConsoleForm.SetMarkStyle | ( |  | ) |
| inline

Sets marking (emphasis) style for console output.

void IG.Forms.ConsoleForm.UpdateOutSettings | ( |  | ) |
| inline private

Updates only those settings of the console consform that influence output operation, in the consform'result thread. This is performed separately from UpdateSettings() to enable faster execution of this vital update.

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.UpdateSettings | ( |  | ) |
| inline private

Updates all settings for the console consform on the consform'result thread.

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.baseConsoleForm | ( |  | ) |
| inline private

Required designer variable.

Common initialization part called from all constructors.

void IG.Forms.ConsoleForm.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG.Forms.ConsoleForm.FormThreadFunc | ( |  | ) |
| inline private

Shows the window in a separate thread.

void IG.Forms.ConsoleForm.ConsoleForm_Load | ( | object | sender,
|  | System.EventArgs | args
| ) |  |
| inline private

void IG.Forms.ConsoleForm.ConsoleForm_Dispose | ( | object | sender,
|  | System.EventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.ConsoleForm_FormClosing | ( | object | sender,
|  | FormClosingEventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.CloseBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.HideBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.HideForm | ( |  | ) |
| inline

void IG.Forms.ConsoleForm.CloseForm | ( |  | ) |
| inline

Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose().

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.WriteOutput | ( |  | ) |
| inline private

Appends output buffer to the output console.

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.Write | ( | bool | block,
|  | string | str
| ) |  |
| inline

Writes a string to the output console. If block=true, then it blocks until the string is actually written.

void IG.Forms.ConsoleForm.Write | ( | string | str | ) |
| inline

References IG.Forms.ConsoleForm.Write().

Referenced by IG.Forms.ConsoleForm.Write().

void IG.Forms.ConsoleForm.WriteLine | ( | bool | block,
|  | string | str
| ) |  |
| inline

Writes a string to the output console and appends a newline character.

void IG.Forms.ConsoleForm.WriteLine | ( | string | str | ) |
| inline

References IG.Forms.ConsoleForm.WriteLine().

Referenced by IG.Forms.ConsoleForm.WriteLine().

void IG.Forms.ConsoleForm.Write | ( | Char | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Boolean | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Char[] | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Decimal | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Double | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Int32 | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Int64 | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Object | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | Single | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | UInt32 | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | UInt64 | arg | ) |
| inline

void IG.Forms.ConsoleForm.Write | ( | String | arg,
|  | Object | arg1
| ) |  |
| inline

void IG.Forms.ConsoleForm.Write | ( | String | arg,
|  | Object[] | arg1
| ) |  |
| inline

void IG.Forms.ConsoleForm.Write | ( | Char[] | arg,
|  | Int32 | arg1,
|  | Int32 | arg2
| ) |  |
| inline

void IG.Forms.ConsoleForm.Write | ( | String | arg,
|  | Object | arg1,
|  | Object | arg2
| ) |  |
| inline

void IG.Forms.ConsoleForm.Write | ( | String | arg,
|  | Object | arg1,
|  | Object | arg2,
|  | Object | arg3
| ) |  |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Char | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Boolean | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Char[] | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Decimal | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Double | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Int32 | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Int64 | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Object | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Single | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | UInt32 | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | UInt64 | arg | ) |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | String | arg,
|  | Object | arg1
| ) |  |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | String | arg,
|  | Object[] | arg1
| ) |  |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | Char[] | arg,
|  | Int32 | arg1,
|  | Int32 | arg2
| ) |  |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | String | arg,
|  | Object | arg1,
|  | Object | arg2
| ) |  |
| inline

void IG.Forms.ConsoleForm.WriteLine | ( | String | arg,
|  | Object | arg1,
|  | Object | arg2,
|  | Object | arg3
| ) |  |
| inline

void IG.Forms.ConsoleForm.ReportErrorBas | ( | ReporterBase | reporter,
|  | ReportType | messagelevel,
|  | string | errorlocation,
|  | string | errormessage
| ) |  |
| inline

References IG.Lib.ReporterBase.DefaultReportStringConsoleTimeStamp(), and IG.Lib.ReporterBase.Obj.

void IG.Forms.ConsoleForm.ReserveReportErrorBas | ( | ReporterBase | reporter,
|  | ReportType | messagelevel,
|  | string | location,
|  | string | message,
|  | Exception | ex,
|  | Exception | ex1
| ) |  |
| inline

void IG.Forms.ConsoleForm.ReserveReportError | ( | Exception | e,
|  | string | additional
| ) |  |
| inline private

void IG.Forms.ConsoleForm.ReserveReportError | ( | string | errorstr | ) |
| inline

virtual void IG.Forms.ConsoleForm.Report | ( | ReportType | messagetype,
|  | string | location,
|  | string | message,
|  | Exception | ex
| ) |  |
| inline virtual

Basic reporting method (overloaded). Launches an error report, a warning report or s kind of report/message. Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters

  messagetype | The type of the report (e.g. Error, Warning, etc.).
  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

void IG.Forms.ConsoleForm.Report | ( | ReportType | messagetype,
|  | string | message,
|  | Exception | ex
| ) |  |
| inline

Launches a report. Predominantly for error and warning reports.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.Report | ( | ReportType | messagetype,
|  | Exception | ex,
|  | string | location
| ) |  |
| inline

Launches a report. Predominantly for error and warning reports.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

void IG.Forms.ConsoleForm.Report | ( | ReportType | messagetype,
|  | Exception | ex
| ) |  |
| inline

Launches a report. Predominantly for error and warning reports.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.Report | ( | ReportType | messagetype,
|  | string | location,
|  | string | message
| ) |  |
| inline

Launches a report.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

void IG.Forms.ConsoleForm.Report | ( | ReportType | messagetype,
|  | string | message
| ) |  |
| inline

Launches a report.

Parameters

  messagetype | Level of the message (Error, Warnind, etc.).
  message | User provided message included in the report.

virtual void IG.Forms.ConsoleForm.ReportError | ( | string | location,
|  | string | message,
|  | Exception | ex
| ) |  |
| inline virtual

Basic error reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters

  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

void IG.Forms.ConsoleForm.ReportError | ( | string | message,
|  | Exception | ex
| ) |  |
| inline

Launches an error report.

Parameters

  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.ReportError | ( | Exception | ex,
|  | string | location
| ) |  |
| inline

Launches an error report.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

void IG.Forms.ConsoleForm.ReportError | ( | Exception | ex | ) |
| inline

Launches an error report. Predominantly for error and warning reports.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.ReportError | ( | string | location,
|  | string | message
| ) |  |
| inline

Launches an error report.

Parameters

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

void IG.Forms.ConsoleForm.ReportError | ( | string | message | ) |
| inline

Launches an error report.

Parameters

  message | User provided message included in the report.

virtual void IG.Forms.ConsoleForm.ReportWarning | ( | string | location,
|  | string | message,
|  | Exception | ex
| ) |  |
| inline virtual

Basic warning reporting method (overloaded). Supplemental data (such as objects necessary to launch visualize the report or operation typeflags) are obtained from the class' instance.

Parameters

  location | User-provided description of error location.
  message | User-provided description of error.
  ex | Exception thrown when error occurred.

void IG.Forms.ConsoleForm.ReportWarning | ( | string | message,
|  | Exception | ex
| ) |  |
| inline

Launches a warning report.

Parameters

  message | User-provided description of error.
  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.ReportWarning | ( | Exception | ex,
|  | string | location
| ) |  |
| inline

Launches a warning report.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).
  location | User-provided description of error location.

void IG.Forms.ConsoleForm.ReportWarning | ( | Exception | ex | ) |
| inline

Launches a warning report. Predominantly for error and warning reports.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.ReportWarning | ( | string | location,
|  | string | message
| ) |  |
| inline

Launches a warning report.

Parameters

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

void IG.Forms.ConsoleForm.ReportWarning | ( | string | message | ) |
| inline

Launches a warning report.

Parameters

  message | User provided message included in the report.

void IG.Forms.ConsoleForm.ReportInfo | ( | Exception | ex | ) |
| inline

Launches an info.

Parameters

  ex | Exception that is the cause for launching the report (and from which additional information is extracted).

void IG.Forms.ConsoleForm.ReportInfo | ( | string | location,
|  | string | message
| ) |  |
| inline

Launches an info.

Parameters

  location | User provided description of the location where report was triggered.
  message | User provided message included in the report.

void IG.Forms.ConsoleForm.ReportInfo | ( | string | message | ) |
| inline

Launches an info.

Parameters

  message | User provided message included in the report.

void IG.Forms.ConsoleForm.ReportError0 | ( | string | errorstr | ) |
| inline

ConsoleForm utility for reporting errors (not global).

void IG.Forms.ConsoleForm.ReportError0 | ( | Exception | e | ) |
| inline

Reports an error (including logging, etc., dependent on the current settings).

References IG.Lib.ReporterBase.GetErorString().

void IG.Forms.ConsoleForm.ReportError0 | ( | Exception | e,
|  | string | additional
| ) |  |
| inline

Reports an error (including logging, etc., dependent on the current settings). An additonal string is appended to error report.

References IG.Lib.ReporterBase.GetErorString().

void IG.Forms.ConsoleForm.ReserveReportError0 | ( | string | errorstr | ) |
| inline private

References IG.Forms.FadingMessage.BackGroundColor, IG.Forms.FadingMessage.LaunchInNewThread(), IG.Forms.FadingMessage.MsgText, IG.Forms.FadingMessage.MsgTitle, and IG.Forms.FadingMessage.ShowTime.

void IG.Forms.ConsoleForm.ReserveReportError0 | ( | Exception | e | ) |
| inline private

References IG.Lib.ReporterBase.GetErorString().

void IG.Forms.ConsoleForm.ReserveReportError0 | ( | Exception | e,
|  | string | additional
| ) |  |
| inline private

References IG.Lib.ReporterBase.GetErorString().

void IG.Forms.ConsoleForm.HideInput | ( |  | ) |
| inline

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.ShowInput | ( |  | ) |
| inline

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.PrepareForReading | ( |  | ) |
| inline private

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.FinalizeReading | ( |  | ) |
| inline private

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.WaitResult | ( |  | ) |
| inline private

Waits until result is available (indicating by the flag ReadFinished, which must be set by the ReadDelegate).

void IG.Forms.ConsoleForm.RunInputConfirmationDelegate | ( |  | ) |
| inline private

Runs specific function for handling user input consform input console, which grabs the input, eventually validates it, and notifies the caller that reading is finished when validation succeeds.

void IG.Forms.ConsoleForm.InputConfirm_Read | ( |  | ) |
| inline private

This function should be called as event handler for input events (such as <Enter> pressed in the input console or button "Confirm Input" pressed).

string IG.Forms.ConsoleForm.ReadLine | ( |  | ) |
| inline

Reads a single line string from the input console and returns it.

string IG.Forms.ConsoleForm.ReadLine | ( | string | Message | ) |
| inline

Reads a single line string from the input console and returns it. If Message!=Null then Message is written above the input consform before reading.

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.ReadString | ( | ref string | str | ) |
| inline

void IG.Forms.ConsoleForm.ReadString | ( | ref string | str,
|  | string | Message
| ) |  |
| inline

Reads a multiple line string from the input console and returns it in OutStr. If Message!=Null then Message is written above the input consform before reading.

References IG.Forms.VoidDelegate().

int IG.Forms.ConsoleForm.Read | ( |  | ) |
| inline

Reads a single character from the input console and returns it as integer.

int IG.Forms.ConsoleForm.Read | ( | string | Message | ) |
| inline

Reads a single character from the input console and returns it as integer. If Message!=null then it is written above the input consform before reading starts.

References IG.Forms.VoidDelegate().

void IG.Forms.ConsoleForm.InputConfirm_ReadDouble | ( |  | ) |
| inline private

double IG.Forms.ConsoleForm.ReadDouble | ( | ref double | Value | ) |
| inline

Reads a floating point number from the input console and returns it in Value. Initial value of the number is set to Value prior to reading.

double IG.Forms.ConsoleForm.ReadDouble | ( | ref double | Value,
|  | string | Message
| ) |  |
| inline

Reads a floating point number from the input console and returns it in Value. If Message!=null then it is written above the input consform before reading starts. Initial value of the number is set to Value prior to reading.

References IG.Forms.VoidDelegate().

double IG.Forms.ConsoleForm.ReadDouble | ( |  | ) |
| inline

Reads a floating point number from the input console and returns it.

double IG.Forms.ConsoleForm.ReadDouble | ( | string | Message | ) |
| inline

Reads a floating point number from the input console and returns it. If Message!=null then it is written above the input consform before reading starts.

void IG.Forms.ConsoleForm.InputConfirm_ReadLong | ( |  | ) |
| inline private

This function should be called as event handler for input events (such as <Enter> pressed in the input console or button "Confirm Input" pressed), for confirmation of floating point numbers input.

long IG.Forms.ConsoleForm.ReadLong | ( | ref long | Value | ) |
| inline

Reads a floating point number from the input console and returns it in Value. Initial value of the number is set to Value prior to reading.

long IG.Forms.ConsoleForm.ReadLong | ( | ref long | Value,
|  | string | Message
| ) |  |
| inline

Reads a floating point number from the input console and returns it in Value. If Message!=null then it is written above the input consform before reading starts. Initial value of the number is set to Value prior to reading.

References IG.Forms.VoidDelegate().

long IG.Forms.ConsoleForm.ReadLong | ( |  | ) |
| inline

Reads a floating point number from the input console and returns it.

long IG.Forms.ConsoleForm.ReadLong | ( | string | Message | ) |
| inline

Reads a floating point number from the input console and returns it. If Message!=null then it is written above the input consform before reading starts.

void IG.Forms.ConsoleForm.ShowThread | ( |  | ) |
| inline

Shows a fading message in a new thread.

void IG.Forms.ConsoleForm.ShowThread | ( | string | title | ) |
| inline

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

void IG.Forms.ConsoleForm.InputChk_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.ConfirmInputBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.InBox_PreviewKeyDown | ( | object | sender,
|  | PreviewKeyDownEventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.InBox_KeyUp | ( | object | sender,
|  | KeyEventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.InBox_KeyPress | ( | object | sender,
|  | KeyPressEventArgs | e
| ) |  |
| inline private

void IG.Forms.ConsoleForm.chkWrap_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

static void IG.Forms.ConsoleForm.Example | ( |  | ) |
| inline static

References IG.Forms.UtilForms.Reporter, and IG.Lib.IReporterBase.ReportError().

## Member Data Documentation

bool IG.Forms.ConsoleForm.IsClosable = true

bool IG.Forms.ConsoleForm.WriteInput = true

If false then the consform can not be closed or dispoded.

bool IG.Forms.ConsoleForm.bgthread = true
| private

If true then Input messages are repeated in the output console.

object IG.Forms.ConsoleForm.InputLock = new object()
| private

object IG.Forms.ConsoleForm.OutputLock = new object()
| private

string IG.Forms.ConsoleForm.Title = "Console"

Color IG.Forms.ConsoleForm.OBg = Color.White
| private

Color IG.Forms.ConsoleForm.OFg = Color.Blue
| private

Color IG.Forms.ConsoleForm.OSelFg = Color.Blue
| private

Color IG.Forms.ConsoleForm.IBg = Color.White
| private

Color IG.Forms.ConsoleForm.IFg = Color.Violet
| private

Color IG.Forms.ConsoleForm.ILblNormalBg =Color.Gray
| private

Color IG.Forms.ConsoleForm.ILblNormalFg =Color.Black
| private

Color IG.Forms.ConsoleForm.ILblActiveBg =Color.Yellow
| private

Color IG.Forms.ConsoleForm.ILblActiveFg =Color.Blue
| private

Color IG.Forms.ConsoleForm.ILblErrorBg =Color.Red
| private

Color IG.Forms.ConsoleForm.ILblErrorFg =Color.Blue
| private

Color IG.Forms.ConsoleForm.NormalOutColor = Color.Blue

Color IG.Forms.ConsoleForm.ErrorOutColor = Color.Red
| private

Color IG.Forms.ConsoleForm.MarkOutColor = Color.Violet
| private

CheckBox IG.Forms.ConsoleForm.chkWrap
| private

Styles IG.Forms.ConsoleForm.OStyle = Styles.Normal
| private

System Windows Forms Button IG.Forms.ConsoleForm.HideBtn
| private

Panel IG.Forms.ConsoleForm.TitlePanel
| private

Panel IG.Forms.ConsoleForm.OutputOuterPnl
| private

Panel IG.Forms.ConsoleForm.ControlPanel
| private

Label IG.Forms.ConsoleForm.TitleLbl
| private

RichTextBox IG.Forms.ConsoleForm.OutBox
| private

Label IG.Forms.ConsoleForm.OutputLbl
| private

Panel IG.Forms.ConsoleForm.InputPnl
| private

RichTextBox IG.Forms.ConsoleForm.InBox
| private

Label IG.Forms.ConsoleForm.InputLbl
| private

Label IG.Forms.ConsoleForm.InputMsgLbl
| private

Button IG.Forms.ConsoleForm.ConfirmInputBtn
| private

CheckBox IG.Forms.ConsoleForm.InputChk
| private

Button IG.Forms.ConsoleForm.button1
| private

Label IG.Forms.ConsoleForm.StatusLbl
| private

Thread IG.Forms.ConsoleForm.formthread = null
| private

string IG.Forms.ConsoleForm.OutBuf =null
| protected

bool IG.Forms.ConsoleForm.OutputStarted =false
| protected

bool IG.Forms.ConsoleForm.OutputEnded =false
| private

int IG.Forms.ConsoleForm.RecCountWrite = 0
| private

object IG.Forms.ConsoleForm.errorlock = new object()
| private

int IG.Forms.ConsoleForm.reccounterror = 0
| private

ReporterBase IG.Forms.ConsoleForm._Reporter = null
| protected

int IG.Forms.ConsoleForm.RecCountError = 0
| private

object IG.Forms.ConsoleForm.ErrorLock00 = new object()
| private

string IG.Forms.ConsoleForm.InputResultString =null
| private

string IG.Forms.ConsoleForm.InputMessage =null
| private

bool IG.Forms.ConsoleForm.ReadStarted =false
| private

bool IG.Forms.ConsoleForm.ReadFinished =false
| private

bool IG.Forms.ConsoleForm.MultiLineInput = false
| private

bool IG.Forms.ConsoleForm.SingleCharacterInput = false
| private

bool IG.Forms.ConsoleForm.DeleteLastNewline = false
| private

bool IG.Forms.ConsoleForm.SelectInput =false
| private

int IG.Forms.ConsoleForm.KeyValue = 0
| private

Keys IG.Forms.ConsoleForm.KeyData = Keys.None
| private

Keys IG.Forms.ConsoleForm.KeyCode =Keys.None
| private

IFormatProvider IG.Forms.ConsoleForm.FormatProvider = System.Globalization.CultureInfo.CreateSpecificCulture("")
| private

VoidDelegate IG.Forms.ConsoleForm.InputConfirmDelegate
| private

## Property Documentation

bool IG.Forms.ConsoleForm.IsBackground
| get set

Color IG.Forms.ConsoleForm.OutBackColor
| get set

Output console background color.

Color IG.Forms.ConsoleForm.OutForeColor
| get set

Output console foreground color.

Color IG.Forms.ConsoleForm.OutSelectionColor
| get set

Output console foreground color.

Referenced by IG.Forms.ConsoleForm.Example().

Styles IG.Forms.ConsoleForm.Style
| get set

Defines the output style of the console.

Referenced by IG.Forms.ConsoleForm.Example(), and IG.Forms.ConsoleForm.ReportErrorBas().

Color IG.Forms.ConsoleForm.InBackColor
| get set

Input console background color.

Color IG.Forms.ConsoleForm.InForeColor
| get set

Input console foreground color.

ReporterBase IG.Forms.ConsoleForm.Reporter
| get

Gets the reporter used by the current console consform for launching error and warning reports, notices, etc.

IG.Lib.IReporter IG.Forms.ConsoleForm.Reporter
| get private

ReporterBase IG.Forms.ConsoleForm.Reporter11
| get

Gets the reporter used by the current console consform for launching error and warning reports, notices, etc.

$A Igor Oct08;

The documentation for this class was generated from the following files:

- igforms/Basic/console_form.cs
- igforms/Basic/ConsoleForm.cs